clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//1. from 2005Q1 (period 180) GDP per capita, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP WageTotal_percent Unemploy,trunit(5) trperiod(214) xperiod(180(1)213) mspeperiod(180(1)213) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,21,22,23,24,25,26) nested allopt

mat synthSH ==(e(Y_synthetic))
mat realSH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSH
svmat realSH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(27,0.975)*(RMSP) in 59/68
gen ub = synthSH + invt(27,0.975)*(RMSP) in 59/68


eclplot synthSH lb ub Mdate if Mdate>190 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realSH Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP NSA) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_2005.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_2005.png", as(png) replace

clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPNSA.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

tempname resmat
        forvalues i = 1/20 {
        synth GDP_Nopercch_NSA GDPpp_perc FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(`i') trperiod(214) mspeperiod(156(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEG
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDP") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPNSA.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/20 {
        synth GDP_Nopercch_NSA GDPpp_perc FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(`i') trperiod(214) mspeperiod(213(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDP") modify

		rename __0000001 postRMSPEG
		
		matlist `resmat' , row("Treated Unit")

//1. GDP per capita,SA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

//synth GDP_SA_percap GDPpp_perc HICP Unemploy FinalConsumptionpercPC Wagesindustryservice Realexchrate , trunit(5) trperiod(214) xperiod(180(1)213) mspeperiod(180(1)213) resultsperiod(180(1)221) counit(1,2,3,4,6,7,9,10,11,13,14,18,20,21,23,24,25,26) nested allopt fig

clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq



synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP Wagesindustryservice Unemploy ,trunit(5) trperiod(215) counit(1,2,3,4,6,7,9,10,11,13,14,15,18,21,22,23,24,25,26) nested allopt




mat synthSHSA ==(e(Y_synthetic))
mat realSHSA ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSHSA
svmat realSHSA
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(43,0.975)*(RMSP) in 52/60
gen ub = synthSH + invt(43,0.975)*(RMSP) in 52/60


eclplot synthSHSA lb ub Mdate if Mdate>164, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSHSA Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(167 175 183 191 199 207 215 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_SA_full.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_SA_full.png", as(png) replace

eclplot synthSHSA lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(199 203 207 211 215 219 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_SA.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_SA.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\GDP_SA_full.gph" "C:\Bachelor thesis\BP\data\graph\GDP_SA.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA.png", as(png) replace



clear all




//PLACEBO 200 intervention synth GDP_SA_percap GDPpp_perc HICP Unemploy FinalConsumptionpercPC Wagesindustryservice Realexchrate , trunit(5) trperiod(214) xperiod(180(1)213) mspeperiod(180(1)213) resultsperiod(180(1)221) counit(1,2,3,4,6,7,9,10,11,13,14,18,20,21,23,24,25,26) nested allopt fig

clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq



synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP Wagesindustryservice Unemploy ,trunit(5) trperiod(200) counit(1,2,3,4,6,7,9,10,11,13,14,15,18,21,22,23,24,25,26) nested allopt fig




mat synthSHSA ==(e(Y_synthetic))
mat realSHSA ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSHSA
svmat realSHSA
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(29,0.975)*(RMSP) in 37/60
gen ub = synthSH + invt(29,0.975)*(RMSP) in 37/60


eclplot synthSHSA lb ub Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSHSA Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_SA_full_200.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_SA_full_200.png", as(png) replace

eclplot synth lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_SA_200.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_SA_200.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\GDP_SA_full_200.gph" "C:\Bachelor thesis\BP\data\graph\GDP_SA_200.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_200.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_200.png", as(png) replace



clear all



import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

tempname resmat
        forvalues i = 1/20 {
        synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP Wagesindustryservice Unemploy, trunit(`i') trperiod(214) mspeperiod(164(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEG
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDPSA") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/20 {
        synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP Wagesindustryservice Unemploy, trunit(`i') trperiod(214) mspeperiod(214(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDPSA") modify

		rename __0000001 postRMSPEG
		
		matlist `resmat' , row("Treated Unit")





































clear all

//1. GDP per capita,SA 2005 :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA_2005_POL.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//1. from 2005Q1 (period 180) GDP per capita, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

synth GDP_SA_percap GDP_SA_percap Realexchrate Wagesindustryservice FinalConsumptionpercPC HICP Unemploy ,trunit(5) trperiod(215) xperiod(180(1)214) mspeperiod(180(1)214) nested allopt

mat synthSH ==(e(Y_synthetic))
mat realSH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSH
svmat realSH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(26,0.975)*(RMSP) in 36/52
gen ub = synthSH + invt(26,0.975)*(RMSP) in 36/52


eclplot synthSH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSH Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(183 191 199 207 215 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP SA) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(199 203 207 211 215 219 223 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_detail.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_detail.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA.gph" "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_detail.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_2005.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_2005.png", as(png) replace


clear all


clear all

//PLACEBO 1. GDP per capita,SA 2005 :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA_2005_POL.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//1. from 2005Q1 (period 180) GDP per capita, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

synth GDP_SA_percap GDP_SA_percap Realexchrate Wagesindustryservice FinalConsumptionpercPC HICP Unemploy ,trunit(5) trperiod(200) xperiod(180(1)200) mspeperiod(180(1)200) nested allopt

mat synthSH ==(e(Y_synthetic))
mat realSH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSH
svmat realSH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(13,0.975)*(RMSP) in 21/52
gen ub = synthSH + invt(13,0.975)*(RMSP) in 21/52


eclplot synthSH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSH Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(184 192 200 208 216 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP SA) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_plac.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(196 200 204 208 212 216 220 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_detail_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\DP_2005_SA_detail_plac.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_plac.gph" "C:\Bachelor thesis\BP\data\graph\GDP_2005_SA_detail_plac.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_2005_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined_SA_2005_plac.png", as(png) replace


clear all

























clear all



import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA_2005_POL.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

tempname resmat
        forvalues i = 1/21 {
        synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP WageTotal_percent Unemploy, trunit(`i') trperiod(214) xperiod(180(1)213) mspeperiod(180(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEG
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDPSA_2005_POL_BUS") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_GDPSA_2005_POL.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/21 {
        synth GDP_SA_percap GDP_SA_percap Realexchrate FinalConsumptionpercPC HICP WageTotal_percent Unemploy, trunit(`i') trperiod(214) xperiod(180(1)213) mspeperiod(214(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDPSA_2005_POL_BUS") modify

		rename __0000001 postRMSPEG
		
		matlist `resmat' , row("Treated Unit")

































//1. GDP per capita,NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


//no data for GDP perc 2015q4: synth GDPpp_perc GDPpp_perc Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(214) counit(1,2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26) nested allopt
synth GDP_Nopercch_NSA GDP_Nopercch_NSA FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(214) counit(1,2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26) nested allopt


//robust check for magnitude of the intervention

/*tempname resmat
        forvalues i = 1/26 {
        synth GDPpp_perc GDPpp_perc(156(1)213) FinalConsumptionpercPC Investmenthouse(159(1)213) Realexchrate Wagesindustryservice(160(1)213) HICP Unemploy,trunit(`i') trperiod(214) mspeperiod(156(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEG
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDP") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/26 {
        synth GDPpp_perc GDPpp_perc(156(1)213) FinalConsumptionpercPC Investmenthouse(159(1)213) Realexchrate Wagesindustryservice(160(1)213) HICP Unemploy,trunit(`i') trperiod(214) mspeperiod(213(1)221) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("GDP") modify

		rename __0000001 postRMSPEG
		
		matlist `resmat' , row("Treated Unit")
		
gen postDIVpreGDP = postRMSPE/ preRMSPE	*/	
//START generate lower and upper bounds for confidence interval
mat synth ==(e(Y_synthetic))
mat real ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synth
svmat real
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synth1 - invt(48,0.975)*(RMSP) in 59/68
gen ub = synth1 + invt(48,0.975)*(RMSP) in 59/68


//graph results with confidence interval
eclplot synth lb ub Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_full_time.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_full_time.png", as(png) replace


eclplot synth lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\GDP_full_time.gph" "C:\Bachelor thesis\BP\data\graph\GDP.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined.png", as(png) replace

clear all


import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


//no data for GDP perc 2015q4: synth GDPpp_perc GDPpp_perc Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(214) counit(1,2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26) nested allopt
synth GDP_Nopercch_NSA GDP_Nopercch_NSA FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(200) counit(1,2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26) nested allopt


mat synth ==(e(Y_synthetic))
mat real ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synth
svmat real
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synth1 - invt(34,0.975)*(RMSP) in 45/68
gen ub = synth1 + invt(34,0.975)*(RMSP) in 45/68


//graph results with confidence interval
eclplot synth lb ub Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_full_time_201.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_full_time_201.png", as(png) replace


eclplot synth lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\GDP_201.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_201.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\GDP_full_time_201.gph" "C:\Bachelor thesis\BP\data\graph\GDP_201.gph", col(1) title("GDP growth, not seasonally adjusted")
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_combined_201.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_combined_201.png", as(png) replace

clear all




clear all


// HICP 2005 ,1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//results similar to coleague

synth HICP GDP_SA_percap HICP Wagesindustryservice Realexchrate FinalConsumptionpercPC Unemploy ,trunit(5) trperiod(215) xperiod(180(1)214) mspeperiod(180(1)214) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
mat synthSHH ==(e(Y_synthetic))
mat realSHH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSHH
svmat realSHH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(17,0.975)*(RMSP) in 52/68
gen ub = synthSH + invt(17,0.975)*(RMSP) in 52/68


eclplot synthSHH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSHH Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(183 191 199 207 215 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(199 203 207 211 215 219 223 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU.gph" "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2005.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2005.png", as(png) replace



clear all


// PLACEBO HICP 2005 ,1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//results similar to coleague

synth HICP GDP_SA_percap HICP Wagesindustryservice Realexchrate FinalConsumptionpercPC Unemploy ,trunit(5) trperiod(200) xperiod(180(1)200) mspeperiod(180(1)200) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
mat synthSHH ==(e(Y_synthetic))
mat realSHH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSHH
svmat realSHH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(17,0.975)*(RMSP) in 37/68
gen ub = synthSH + invt(17,0.975)*(RMSP) in 37/68


eclplot synthSHH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSHH Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(184 192 200 208 216 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU_plac.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(196 200 204 208 212 216 220 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail_plac.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\HICP_2005_TRU_plac.gph" "C:\Bachelor thesis\BP\data\graph\HCPI_2005_detail_plac.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2005_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2005_plac.png", as(png) replace


































clear all


// HICP 2007 , NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//results similar to coleague

synth HICP GDP_SA_percap HICP Wagesindustryservice Realexchrate FinalConsumptionpercPC Unemploy ,trunit(5) trperiod(215) xperiod(190(1)214) mspeperiod(190(1)214) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
mat synthSHH ==(e(Y_synthetic))
mat realSHH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSHH
svmat realSHH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(17,0.975)*(RMSP) in 52/68
gen ub = synthSH + invt(17,0.975)*(RMSP) in 52/68


eclplot synthSHH lb ub Mdate if Mdate>190 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSHH Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(191 199 207 215 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\HICP_2007.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_2007.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(199 203 207 211 215 219 223 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HCPI) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\HCPI_2007_detail.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_2007_detail.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\HICP_2007.gph" "C:\Bachelor thesis\BP\data\graph\HCPI_2007_detail.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2007.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HCPI_combined_2007.png", as(png) replace








clear all

// HICP, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_HICP_2005.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


//robust check for magnitude of the intervention
tempname resmat
        forvalues i = 1/22 {
        synth HICP GDP_SA_percap HICP Wagesindustryservice Realexchrate FinalConsumptionpercPC Unemploy, trunit(`i') trperiod(214) xperiod(180(1)213) mspeperiod(180(1)213)

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
		
		rename __0000001 preRMSPE

		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("HICP_2005") modify

        matlist `resmat' , row("Treated Unit")
		
clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_HICP_2005.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

		
tempname resmat
        forvalues i = 1/22 {
        synth HICP GDP_SA_percap HICP Wagesindustryservice Realexchrate FinalConsumptionpercPC Unemploy, trunit(`i') trperiod(214) xperiod(180(1)213) mspeperiod(214(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 postRMSPE
		
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("HICP_2005") modify

		
		matlist `resmat' , row("Treated Unit")
		
		
clear all		
























// HICP, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_HICP.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


//robust check for magnitude of the intervention
tempname resmat
        forvalues i = 1/23 {
        synth HICP GDPpp_perc WageTotal_percent Industry_manufac FinalConsumptionpercPC HICP Realexchrate Unemploy ,trunit(`i') trperiod(214) mspeperiod(156(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
		
		rename __0000001 preRMSPE

		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Users\Matj\Documents\Univerzita Karlova\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("HICP") modify

        matlist `resmat' , row("Treated Unit")
		
clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_HICP.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

		
tempname resmat
        forvalues i = 1/23 {
        synth HICP GDPpp_perc WageTotal_percent Industry_manufac FinalConsumptionpercPC HICP Realexchrate Unemploy ,trunit(`i') trperiod(214) mspeperiod(214(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 postRMSPE
		
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("HICP") modify

		
		matlist `resmat' , row("Treated Unit")
		
		
clear all		
// HICP, NSA :1. minimizes the size of the prediction error (nested , allopt command) , SCM code
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


synth HICP GDPpp_perc WageTotal_percent Industry_manufac FinalConsumptionpercPC HICP Realexchrate Unemploy ,trunit(5) trperiod(214) counit(1,2,3,4,6,7,9,10,11,12,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
		
		
gen postDIVpreGDP = postRMSPE/ preRMSPE		

//START generate lower and upper bounds for confidence interval
mat synth2 ==(e(Y_synthetic))
mat real2 ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synth2
svmat real2
scalar RMSP = (RMSPE[1,1])
matlist e(V_matrix)

//display values
display RMSP


//END generating lower and upper bounds as variable lb and ub
gen lb2 = synth2 - invt(48,0.975)*RMSP in 59/68
gen ub2 = synth2 + invt(48,0.975)*RMSP in 59/68

//graph results with confidence interval
eclplot synth2 lb2 ub2 Mdate if Mdate>196, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real2 Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HICP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HICP.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP.png", as(png) replace

eclplot synth2 lb2 ub2 Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real2 Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HICP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\HICP_full_time.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_full_time.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\HICP_full_time.gph" "C:\Bachelor thesis\BP\data\graph\HICP.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HICP_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_combined.png", as(png) replace

clear all
//unemployment 2005


import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//1. from 2005Q1 (period 180) unemployment:1. minimizes the size of the prediction error (nested , allopt command) , SCM code

synth Unemploy HICP Wagesindustryservice FinalConsumptionpercPC GDP_SA_percap Realexchrate Unemploy ,trunit(5) trperiod(215) mspeperiod(180(1)214) xperiod(180(1)214) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
mat synthSH ==(e(Y_synthetic))
mat realSH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSH
svmat realSH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(26,0.975)*(RMSP) in 52/60
gen ub = synthSH + invt(26,0.975)*(RMSP) in 52/60


eclplot synthSH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSH Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(183 191 199 207 215 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\Unemploy_2005.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_2005.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(215, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(199 203 207 211 215 219 223 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\Unemploy_2005.gph" "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\Unemploy_combined_2005.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_combined_2005.png", as(png) replace






clear all
//unemployment 2005 placebo


import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_164aktual.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

//1. from 2005Q1 (period 180) unemployment:1. minimizes the size of the prediction error (nested , allopt command) , SCM code

synth Unemploy HICP Wagesindustryservice FinalConsumptionpercPC GDP_SA_percap Realexchrate Unemploy ,trunit(5) trperiod(200) mspeperiod(180(1)200) xperiod(180(1)200) counit(1,2,3,4,6,7,9,10,11,13,14,15,16,18,20,21,22,23,24,25,26) nested allopt
mat synthSH ==(e(Y_synthetic))
mat realSH ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthSH
svmat realSH
scalar RMSP = (RMSPE[1,1])
//display values plus get confidence interval standard error
display RMSP
matlist e(V_matrix)
//END generating lower and upper bounds as variable lb and ub
gen lb = synthSH - invt(12,0.975)*(RMSP) in 37/60
gen ub = synthSH + invt(12,0.975)*(RMSP) in 37/60


eclplot synthSH lb ub Mdate if Mdate>180 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realSH Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(184 192 200 208 216 223,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) 
graph save "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_200.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_200.png", as(png) replace

eclplot synthSH lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line real Mdate) xline(200, lpattern (shortdash) lcolor(black) lstyle(foreground)) xline(215, lpattern (shortdash) lcolor(gs5) lstyle(foreground)) xlabel(196 200 204 208 212 216 220 ,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail_plac.png", as(png) replace

graph combine "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_200.gph" "C:\Bachelor thesis\BP\data\graph\Unemploy_2005_detail_plac.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\Unemploy_combined_2005_plac.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_combined_2005_plac.png", as(png) replace





























clear all

import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_UNEMP_2005_noIRELAND.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


tempname resmat
        forvalues i = 1/22 {
        synth Unemploy HICP Wagesindustryservice FinalConsumptionpercPC GDP_SA_percap Realexchrate Unemploy  ,trunit(`i') trperiod(215) xperiod(180(1)214) mspeperiod(180(1)214) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEU
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("Unemp_noIRE") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_UNEMP_2005_noIRELAND.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/22 {
        synth Unemploy HICP Wagesindustryservice FinalConsumptionpercPC GDP_SA_percap Realexchrate Unemploy ,trunit(`i') trperiod(215) xperiod(180(1)214) mspeperiod(214(1)223) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("Unemp_noIRE") modify

		rename __0000001 postRMSPEU
		
		matlist `resmat' , row("Treated Unit")








































clear all




//Unemployment
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_UNEMP.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq


tempname resmat
        forvalues i = 1/19 {
        synth Unemploy HICP Wagesbussinesseconomy FinalConsumptionpercPC GDPpp_perc Realexchrate Unemploy  ,trunit(`i') trperiod(214) mspeperiod(156(1)213) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "preRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		rename __0000001 preRMSPEU
		
		putexcel A1=("Country") B1=("pre RMSPE") B2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("Unemp") modify

		matlist `resmat' , row("Treated Unit")

clear all
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\1999_data_UNEMP.xls", sheet("Final data") firstrow
//set data as time series
encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
tempname resmat
        forvalues i = 1/19 {
        synth Unemploy HICP Wagesbussinesseconomy FinalConsumptionpercPC GDPpp_perc Realexchrate Unemploy ,trunit(`i') trperiod(214) mspeperiod(213(1)221) nested allopt

        matrix `resmat' = nullmat(`resmat') \ e(RMSPE)
        local names `"`names' `"`i'"'"'
        }
        mat colnames `resmat' = "postRMSPE"
        mat rownames `resmat' = `names'
		svmat `resmat'
        
		putexcel C1=("post RMSPE") C2=matrix (`resmat') using "C:\Bachelor thesis\BP\data\Final 1999 data\RMSPE.xlsx", sheet ("Unemp") modify

		rename __0000001 postRMSPEU
		
		matlist `resmat' , row("Treated Unit")


clear all		
		
//Unemployment
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq
		
		
		
synth Unemploy HICP Wagesbussinesseconomy FinalConsumptionpercPC GDPpp_perc Realexchrate Unemploy ,trunit(5) trperiod(214) mspeperiod(156(1)213) resultsperiod(156(1)223) counit(1,2,6,9,10,11,12,13,16,18,20,21,22,23,24,25,26) nested allopt
		

//START generate lower and upper bounds for confidence interval
mat synthUn ==(e(Y_synthetic))
mat realUn ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthUn
svmat realUn
scalar RMSP = (RMSPE[1,1])
matlist e(V_matrix)

//display values plus get confidence interval standard error
display RMSP

//END generating lower and upper bounds as variable lb and ub
gen lb = synthUn - invt(48,0.975)*RMSP in 59/68
gen ub = synthUn + invt(48,0.975)*RMSP in 59/68


//graph results with confidence interval
eclplot synthUn lb ub Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realUn Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\Unemplo_full_time.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemplo_full_time.png", as(png) replace


eclplot synthUn lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(gs13) bstyle(background)) addplot(line realUn Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\Unemplo.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemplo.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\Unemplo_full_time.gph" "C:\Bachelor thesis\BP\data\graph\Unemplo.gph", col(1) graphregion(color(white))
graph save Graph "C:\Bachelor thesis\BP\data\graph\Unemplo_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemplo_combined.png", as(png) replace


clear all

//real exchange rate
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

synth Realexchrate GDP_Noper_growth_SA HICP Unemploy Realexchrate Nomexchrate ,trunit(5) trperiod(214) counit(1,2,3,4,6,7,8,9,10,11,13,14,15,16,17,18,19,20,21,23,24,25,26) nested allopt

//START generate lower and upper bounds for confidence interval
mat synthRE ==(e(Y_synthetic))
mat realRE ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))
//convert matrix into variable
svmat synthRE
svmat realRE
scalar RMSP = (RMSPE[1,1])
matlist e(V_matrix)

//display values plus get confidence interval standard error
display RMSP

//END generating lower and upper bounds as variable lb and ub
gen lb = synthRE - invt(48,0.975)*RMSP in 59/68
gen ub = synthRE + invt(48,0.975)*RMSP in 59/68


//graph results with confidence interval
eclplot synthRE lb ub Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realRE Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Real exchange rate) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\Realexch_full_time.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Realexch_full_time.png", as(png) replace


eclplot synthRE lb ub Mdate if Mdate>196 , eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realRE Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Real exchange rate) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save "C:\Bachelor thesis\BP\data\graph\Realexch.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Realexch.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\Realexch_full_time.gph" "C:\Bachelor thesis\BP\data\graph\Realexch.gph", col(1) title("Real exchange rate index")
graph save Graph "C:\Bachelor thesis\BP\data\graph\Realexch_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Realexch_combined.png", as(png) replace


clear all
//2. cross validation effect method HICP
/*import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

synth HICP GDPpp_perc Industry_manufac Wagesindustryservice HICP Realexchrate Unemploy,trunit(5) trperiod(196) mspeperiod(196(1)213) counit(1,2,3,4,6,7,9,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,26) nested allopt


//store predictors weight into numerical list

mat d = vecdiag(e(V_matrix))
local B = ""
forval i = 1/`=colsof(d)'{
			 local B `B'`=d[1,`i']'
}	



matlist d


synth HICP GDPpp_perc Industry_manufac Wagesindustryservice HICP Realexchrate Unemploy ,trunit(5) trperiod(214) customV(`d') counit(1,2,3,4,6,7,9,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,26)

//START generate lower and upper bounds for confidence interval
mat synthcross ==(e(Y_synthetic))
mat realcross ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))

scalar RMSP = (RMSPE[1,1])
//convert matrix into variable
svmat synthcross
svmat realcross

//display values
display RMSP


//END generating lower and upper bounds as variable lb and ub
gen lbC = synthcross - invnormal(0.975)*RMSP in 59/68
gen ubC = synthcross + invnormal(0.975)*RMSP in 59/68

//graph results with confidence interval
eclplot synthcross lbC ubC Mdate if Mdate>196, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcross Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HICP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save Graph "C:\Bachelor thesis\BP\data\graph\HICP_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_cross.png", as(png) replace

eclplot synthcross lbC ubC Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcross Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(HICP) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\HICP_full_time_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_full_time_cross.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\HICP_full_time_cross.gph" "C:\Bachelor thesis\BP\data\graph\HICP_cross.gph", col(1) title("Harmonized index of consumer price - cross validation")
graph save Graph "C:\Bachelor thesis\BP\data\graph\HICP_cross_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\HICP_cross_combined.png", as(png) replace

clear all
//2. cross validation effect method GDP
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

synth GDPpp_perc GDPpp_perc FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(196) mspeperiod(196(1)213) counit(2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26) nested allopt
//store predictors weight into numerical list
mat g = vecdiag(e(V_matrix))
local B = ""
forval i = 1/`=colsof(g)'{
			 local B `B'`=g[1,`i']'
}	

synth GDPpp_perc GDPpp_perc FinalConsumptionpercPC Realexchrate Wagesindustryservice HICP Unemploy,trunit(5) trperiod(214) customV(`g') counit(2,3,6,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26)

//START generate lower and upper bounds for confidence interval
mat synthcrossG ==(e(Y_synthetic))
mat realcrossG ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))


//convert matrix into variable
svmat synthcrossG
svmat realcrossG


scalar RMSP = (RMSPE[1,1])
//display values
display RMSP


//END generating lower and upper bounds as variable lb and ub
gen lbC = synthcrossG - invt(48,0.975)*(RMSP/sqrt(58)) in 59/68
gen ubC = synthcrossG + invt(48,0.975)*(RMSP/sqrt(58)) in 59/68

//graph results with confidence interval
eclplot synthcrossG lbC ubC Mdate if Mdate>196, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcrossG Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP per capita) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_cross.png", as(png) replace

eclplot synthcrossG lbC ubC Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcrossG Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(GDP per capita) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\GDP_full_time_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_full_time_cross.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\GDP_full_time_cross.gph" "C:\Bachelor thesis\BP\data\graph\GDP_cross.gph", col(1) title("GDP growth per capita - cross validation")
graph save Graph "C:\Bachelor thesis\BP\data\graph\GDP_cross_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\GDP_cross_combined.png", as(png) replace

clear all

//2. cross validation effect method Unemploy
import excel "C:\Bachelor thesis\BP\data\Final 1999 data\Final_1999_data_aktual.xls", sheet("Final data") firstrow

encode Country, gen(Cnum)
gen Mdate = quarterly( Y_Qartel, "YQ")
tsset Cnum Mdate
format Mdate %tq

synth Unemploy HICP Wagesbussinesseconomy Investmenthouse(159(1)214) FinalConsumptionpercPC GDP_Noper_growth Realexchrate Unemploy ,trunit(5) trperiod(196) mspeperiod(196(1)213) counit(1,2,3,4,6,7,9,10,11,12,13,14,16,17,18,19,20,21,22,23,24,25,26) nested allopt
//store predictors weight into numerical list
mat u = vecdiag(e(V_matrix))
local B = ""
forval i = 1/`=colsof(u)'{
			 local B `B'`=u[1,`i']'
}	

synth Unemploy HICP Wagesbussinesseconomy Investmenthouse(159(1)214) FinalConsumptionpercPC GDP_Noper_growth Realexchrate Unemploy ,trunit(5) trperiod(214) customV(`u') counit(1,2,3,4,6,7,9,10,11,12,13,14,16,17,18,19,20,21,22,23,24,25,26)

//START generate lower and upper bounds for confidence interval
mat synthcrossU ==(e(Y_synthetic))
mat realcrossU ==(e(Y_treated))
mat RMSPE ==(e(RMSPE))

//convert matrix into variable
svmat synthcrossU
svmat realcrossU
svmat RMSPE

scalar RMSP = (RMSPE[1,1])
//display values
display RMSP


//END generating lower and upper bounds as variable lb and ub
gen lbC = synthcrossU - invnormal(0.975)*RMSP in 59/68
gen ubC = synthcrossU + invnormal(0.975)*RMSP in 59/68

//graph results with confidence interval
eclplot synthcrossU lbC ubC Mdate if Mdate>196, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcrossU Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color) legend(on lab(1 "95% Confidence interval") lab(2 "Synthetic Czech Republic" ) lab(3 "Czech Republic data" ))
graph save Graph "C:\Bachelor thesis\BP\data\graph\Unemploy_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_cross.png", as(png) replace

eclplot synthcrossU lbC ubC Mdate, eplot(line) rplot(rarea) estopts(lpattern(dash)) ciopts(bcolor(ltblue*0.5) bstyle(background)) addplot(line realcrossU Mdate) xline(214, lpattern (shortdash) lcolor(black) lstyle(foreground)) xlabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(background)) ytitle(Unemployment) xtitle(Period) ylabel(,grid glcolor(gs13) glpattern(shortdash) glstyle(foreground)) scheme(s1color)
graph save "C:\Bachelor thesis\BP\data\graph\Unemploy_full_time_cross.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_full_time_cross.png", as(png) replace


graph combine "C:\Bachelor thesis\BP\data\graph\Unemploy_full_time_cross.gph" "C:\Bachelor thesis\BP\data\graph\Unemploy_cross.gph", col(1) title("Total unenmployment - cross validation")
graph save Graph "C:\Bachelor thesis\BP\data\graph\Unemploy_cross_combined.gph", replace
graph export "C:\Bachelor thesis\BP\data\graph\Unemploy_cross_combined.png", as(png) replace

clear all
